# extptr_allocator.h File Reference

Go to the source code of this file.

## Classes

- class __gnu_cxx::_ExtPtr_allocator< _Tp >
    An example allocator which uses a non-standard pointer type.

    This allocator specifies that containers use a 'relative pointer' as it's pointer type. (See ext/pointer.h) Memory allocation in this example is still performed using std::allocator. More...

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _EXTPTR_ALLOCATOR_H

## Functions

- template<typename _Tp > void __gnu_cxx::swap (_ExtPtr_allocator< _Tp > &__larg, _ExtPtr_allocator< _Tp > &__rarg)

## Detailed Description

Author:
  Bob Walters

An example allocator which uses an alternative pointer type from bits/pointer.h. Supports test cases which confirm container support for alternative pointers.

Definition in file extptr_allocator.h.